Loading...
Searching...
No Matches
caf::policy::downstream_messages Class Reference

Configures a dynamic WDRR queue for holding downstream messages. More...

`#include <downstream_messages.hpp>`

## Classes

class | nested
| Configures a nested DRR queue. More...

## Public Types

using | mapped_type = mailbox_element
using | task_size_type = size_t
using | deficit_type = size_t
using | unique_pointer = mailbox_element_ptr
using | key_type = stream_slot
using | nested_queue_type = intrusive::drr_queue<nested>
using | queue_map_type = std::map<key_type, nested_queue_type>

## Public Member Functions

| downstream_messages (const downstream_messages &)=default
downstream_messages & | operator= (const downstream_messages &)=default
constexpr | downstream_messages (unit_t)

## Static Public Member Functions

static key_type | id_of (mailbox_element &x) noexcept
static bool | enabled (const nested_queue_type &q) noexcept
static deficit_type | quantum (const nested_queue_type &q, deficit_type x) noexcept
static task_size_type | task_size (const mailbox_element &) noexcept

## Detailed Description

Configures a dynamic WDRR queue for holding downstream messages.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/policy/downstream_messages.hpp